PHP Excel Error 1.7.3

Topics: Developer Forum, User Forum
May 29, 2010 at 12:04 AM
Edited May 29, 2010 at 12:07 AM

I have been using PHP excel 1.6.7 with no problems until my ISP made a change to the server, and now my creation of a spreadsheet is not working.  I am hoping you can help.  It is working fine on my local PC, although I have not upgraded to 1.7.3 on my local machine (update, I am getting the same error on my local machine).

I was getting the same error as this thread 'http://phpexcel.codeplex.com/Thread/View.aspx?ThreadId=67398' and I followed the same instructions but got an error with version 1.7.0.  I have now upgraded to 1.7.3 and I am now getting this error when I run my php script 'Fatal error: Class 'PHPExcel_Shared_ZipStreamWrapper' not found in /home/mypcguy2/public_html/accountstest/PHPExcel/IOFactory.php on line 37'.

Can anyone help me with this error?

Many thanks in advance.

Stuart

Coordinator
May 29, 2010 at 12:26 AM

Are you running with any other libraries that implement an autoloader?

May 29, 2010 at 7:25 AM
I don't think I am, is there anyway to check?

Stuart Seeley
t. +44 (0) 7764 496248
e. me@stuartseeley.com
Coordinator
May 29, 2010 at 10:27 PM

I don't know if there's an easy way to test at all; but you'd normally get that error if something else was interfering with PHPExcel's autoloader.

 

May 29, 2010 at 11:31 PM

I am just running a simple server, I do not believe that anything else uses an autoloader? PHPExcel is the only class that is running on my local machine. I am a bit stuck, version 1.6.7 worked really well until they changed something on the server...